<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/grey_background"
    android:orientation="vertical"
    android:paddingLeft="@dimen/store_p_activity_vertical_margin"
    android:paddingTop="@dimen/store_p_activity_vertical_margin"
    android:paddingRight="@dimen/store_p_activity_vertical_margin"
    android:paddingBottom="@dimen/store_p_activity_vertical_margin"
    app:layout_behavior="@string/appbar_scrolling_view_behavior"
    tools:context=".DealarBoardActivity"
    tools:showIn="@layout/activity_mainmenu">

    <LinearLayout
        android:id="@+id/no_data_lay"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/grey_background"
        android:orientation="vertical"
        android:visibility="gone"
        android:weightSum="8">

        <androidx.cardview.widget.CardView xmlns:card_view="http://schemas.android.com/apk/res-auto"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginLeft="5dp"
            android:layout_marginTop="5dp"
            android:layout_marginRight="5dp"
            android:layout_marginBottom="5dp"
            android:layout_weight="1"
            card_view:cardBackgroundColor="@color/white"
            card_view:cardCornerRadius="5dp">

            <TextView
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:gravity="center"
                android:layout_gravity="center"
                android:text="Please download data"
                android:textSize="@dimen/text_25dp"
                android:textStyle="bold" />
        </androidx.cardview.widget.CardView>

        <View
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1" />

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="0dp"
            android:layout_centerInParent="true"
            android:layout_marginLeft="5dp"
            android:layout_marginRight="5dp"
            android:layout_weight="4"
            android:layout_gravity="center"
            android:src="@mipmap/sad_cloud" />

        <View
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1" />

        <androidx.cardview.widget.CardView xmlns:card_view="http://schemas.android.com/apk/res-auto"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginLeft="5dp"
            android:layout_marginTop="5dp"
            android:layout_marginRight="5dp"
            android:layout_marginBottom="5dp"
            android:layout_weight="1"
            card_view:cardBackgroundColor="@color/white"
            card_view:cardCornerRadius="5dp">

            <TextView
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:gravity="center"
                android:layout_gravity="center"
                android:text="All data not downloaded, Please sync data"
                android:textSize="@dimen/text_25dp"
                android:textStyle="bold" />
        </androidx.cardview.widget.CardView>
    </LinearLayout>

    <androidx.core.widget.NestedScrollView
        android:id="@+id/dealerb_scroll_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:visibility="visible">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:weightSum="100">
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:padding="@dimen/custom_margin"
                android:text="@string/monthly_offers"
                android:textColor="@color/black"
                android:textSize="@dimen/text_size_normal"
                android:textStyle="normal"
                android:visibility="gone" />

            <fragment
                android:id="@+id/monthly_offer_fragment"
                android:name="com.cpm.lorealbaautomation.fragements.MonthlyOfferFragment"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/custom_margin" />

            <TextView
                android:id="@+id/txt_more"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/more"
                android:textColor="@color/blue"
                android:layout_gravity="center|right"
                android:textSize="@dimen/text_size_normal"
                android:textStyle="normal"
                android:gravity="center|right"
                android:layout_margin="@dimen/margin1dp"/>


            <TextView
                android:id="@+id/txt_dashboard"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:padding="@dimen/custom_margin"
                android:text="@string/dashboard"
                android:textColor="@color/black"
                android:textSize="@dimen/text_size_normal"
                android:textStyle="normal" />

            <fragment
                android:id="@+id/dashboard_fragment"
                android:name="com.cpm.lorealbaautomation.fragements.DashboardsFragment"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/custom_margin" />

            <LinearLayout
                android:id="@+id/rl_ba"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:padding="@dimen/custom_margin"
                android:text="@string/countermanu"
                android:textColor="@color/black"
                android:textSize="@dimen/text_size_normal"
                android:textStyle="normal" />

            <fragment
                android:id="@+id/counter_menu_fragment"
                android:name="com.cpm.lorealbaautomation.fragements.CounterMenuFragment"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_margin="@dimen/custom_margin" />

            </LinearLayout>

                <LinearLayout
                    android:id="@+id/rl_ba2"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:padding="@dimen/custom_margin"
                android:text="@string/badviser_menu"
                android:textColor="@color/black"
                android:textSize="@dimen/text_size_normal"
                android:textStyle="normal" />

            <fragment
                android:id="@+id/badviser_fragment"
                android:name="com.cpm.lorealbaautomation.fragements.BAdvisorMenuFragment"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/custom_margin" />

        </LinearLayout>

            <LinearLayout
                android:id="@+id/rl_me"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:padding="@dimen/custom_margin"
                    android:text="@string/mexpert_menu"
                    android:textColor="@color/black"
                    android:textSize="@dimen/text_size_normal"
                    android:textStyle="normal" />

                <fragment
                    android:id="@+id/me_fragment"
                    android:name="com.cpm.lorealbaautomation.fragements.MakeupExpertMenuFragment"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/custom_margin" />

            </LinearLayout>

        </LinearLayout>

    </androidx.core.widget.NestedScrollView>

</LinearLayout>
